Bug 473744 - Review Request: flint - Fast Library for Number Theory
Review Request: flint - Fast Library for Number Theory
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-30 01:17 EST by Conrad Meyer
Modified: 2009-03-10 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-10 17:30:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alexl: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-11-30 01:17:05 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/flint.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/flint-1.0.17-1.fc9.src.rpm
FLINT is a C library for doing number theory, written by William Hart
and David Harvey.
Comment 1 Jason Tibbitts 2008-12-06 21:03:43 EST
This fails to build:

Patch #1 (flint-1.0.17-add-static-lib.diff):
+ /bin/cat /builddir/build/SOURCES/flint-1.0.17-add-static-lib.diff
+ /usr/bin/patch -s -p0 --fuzz=0
1 out of 1 hunk FAILED
 -- saving rejects to file makefile.rej

Also, 1.0.18 was released yesterday.
Comment 2 Conrad Meyer 2008-12-06 21:17:57 EST
New URLs:

(Bumped to 1.0.18; made patches apply with --fuzz=0.)
Comment 3 Alex Lancaster 2009-01-10 13:51:40 EST
(In reply to comment #2)
> New URLs:
> http://konradm.fedorapeople.org/fedora/SRPMS/flint-1.0.18-1.fc9.src.rpm

That URL is 404...
Comment 4 Conrad Meyer 2009-01-10 15:08:18 EST
Should work now, sorry. Please try again.
Comment 5 Alex Lancaster 2009-02-19 02:57:12 EST
Looks good so far, however:

1. Upstream has a new version 1.0.21, can you update your spec and SRPM?
2. Does this new release enable shared libraries? as it looks like there is code in the .spec file and patches that enable this.  What are upstream's plans on this?

In the meantime I did a preliminary review which I will recheck upon upgrading to the newer upstream.

Did koji scratch build in rawhide:


 +:ok, =:needs attention, -:needs fixing, N/A =: not applicable to this package

MUST Items:
[x] MUST: rpmlint must be run on every package.
rpmlint flint-1.0.18-1.fc11.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint flint-devel-1.0.18-1.fc11.x86_64.rpm
flint-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
rpmlint flint-1.0.18-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}
[x] MUST: The package must meet the Packaging Guidelines. 
[x] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual license.
[x] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
 (no license file included)
[x] MUST: The spec file must be written in American English.
[x] MUST: The spec file for the package MUST be legible.
[x] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
md5sum flint-1.0.18.tar.gz rpmbuild/SOURCES/flint-1.0.18.tar.gz 
a16ce740c16b296a331ee68a94bc0305  flint-1.0.18.tar.gz
a16ce740c16b296a331ee68a94bc0305  rpmbuild/SOURCES/flint-1.0.18.tar.gz

[x] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
see koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1138697

[x] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[x] MUST: All build dependencies must be listed in BuildRequires
[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[N/A] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[x] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[x] MUST: A package must not contain any duplicate files in the %files listing.
[x] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[x] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[x] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[N/A] MUST: Large documentation files should go in a doc subpackage.
[N/A] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[x] MUST: Header files must be in a -devel package.
[x] MUST: Static libraries must be in a -static package.
-devel subpackage supplies a "virtual" provides for the static package, this is OK because -devel only provides static libraries
[x] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[x] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[x] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[x] MUST: Packages must not own files or directories already owned by other packages.
[x] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: All filenames in rpm packages must be valid UTF-8.

[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
can you request upstream to include this?  (not a blocker)
[N/A] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[x] SHOULD: The reviewer should test that the package builds in mock.
see koji build
[x] SHOULD: The package should compile and build into binary rpms on all supported architectures.
koji build
[] SHOULD: The reviewer should test that the package functions as described.
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N/A] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[x] SHOULD: Packages should try to preserve timestamps of original installed files.
Comment 6 Alex Lancaster 2009-02-19 02:58:13 EST
Also, I did test the mpQS binary which seemed to work fine.
Comment 7 Conrad Meyer 2009-02-19 03:39:17 EST
Sure, I'll update to the new version and send an email to upstream about including license texts.
Comment 8 Alex Lancaster 2009-03-06 07:17:57 EST
Ping?  Would be nice to get some more SAGE deps rolling...
Comment 10 Alex Lancaster 2009-03-09 23:09:42 EDT
Noted as being fixed:

1. most recent version
2. -static subpackage

re-checked md5sum:

$ md5sum flint-1.0.21.tar.gz /tmp/flint-1.0.21.tar.gz 
5dbbe213153b93e14d0ee0972fdcfdf8  flint-1.0.21.tar.gz
5dbbe213153b93e14d0ee0972fdcfdf8  /tmp/flint-1.0.21.tar.gz

Comment 11 Alex Lancaster 2009-03-09 23:18:06 EDT
Also noted that ldconfig is called properly:

[x] MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun.
Comment 12 Conrad Meyer 2009-03-10 16:18:08 EDT
Thanks for the review!

New Package CVS Request
Package Name: flint
Short Description: Fast Library for Number Theory
Owners: konradm
Branches: F-10
Comment 13 Dennis Gilmore 2009-03-10 16:23:12 EDT
CVS Done
Comment 14 Conrad Meyer 2009-03-10 17:30:41 EDT

Built in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.